Npms_big

mongoose

5.0.15

Mongoose MongoDB ODM

(mongodb, document, model, schema, database, odm, data, datastore, query, nosql, orm, db)

Critical or Security advisories for 5.0.15

This version doesn't have any advisory. Want to report one?

Changelog for 5.0.15

  • fix: add ability for casting from number to decimal128 #6336 #6331 lineus
  • docs(middleware): enumerate the ways to error out in a hook #6315
  • fix(document): respect schema-level depopulate option for toObject() #6313
  • fix: bump mongodb driver -> 3.0.6 #6310
  • fix(number): check for valueOf() function to support Decimal.js #6306 #6299 lineus
  • fix(query): run array setters on query if input value is an array #6277
  • fix(versioning): don't require matching version when using array.pull() #6190
  • fix(document): add toHexString() function so you don't need to check whether a path is populated to get an id #6115

Dependencies for 5.0.15

Name Requirement Status
0.5.1

0.0.3

2.1.4

2.1.2

3.5.0

~1.0.4

Npms co
4.6.0

Npms dox
0.3.1

4.14.0

9.1.0

Display all

My projects using mongoose

Name Locked version Requirement
You should be logged in to see which of your projects use mongoose.